Bug 1402 - Cannot browse any table of my Sqlite DB
Summary: Cannot browse any table of my Sqlite DB
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System.Data (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2011-10-10 15:53 UTC by René Ruppert
Modified: 2018-02-22 22:36 UTC (History)
5 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description René Ruppert 2011-10-10 15:53:13 UTC
No matter if I execute "select *" or "select x, y" from the context menu of a table, I get the exception below.
MD 2.8 final

System.EntryPointNotFoundException: sqlite3_column_origin_name
  at (wrapper managed-to-native) Mono.Data.Sqlite.UnsafeNativeMethods:sqlite3_column_origin_name (intptr,int)
  at Mono.Data.Sqlite.SQLite3.ColumnOriginalName (Mono.Data.Sqlite.SqliteStatement stmt, Int32 index) [0x00000] in /private/tmp/monobuild/build/BUILD/mono-2.10.5/mcs/class/Mono.Data.Sqlite/Mono.Data.Sqlite_2.0/SQLite3.cs:493 
  at Mono.Data.Sqlite.SqliteDataReader.GetSchemaTable (Boolean wantUniqueInfo, Boolean wantDefaultValue) [0x0042d] in /private/tmp/monobuild/build/BUILD/mono-2.10.5/mcs/class/Mono.Data.Sqlite/Mono.Data.Sqlite_2.0/SQLiteDataReader.cs:619 
  at Mono.Data.Sqlite.SqliteDataReader.GetSchemaTable () [0x00000] in /private/tmp/monobuild/build/BUILD/mono-2.10.5/mcs/class/Mono.Data.Sqlite/Mono.Data.Sqlite_2.0/SQLiteDataReader.cs:550 
  at System.Data.Common.DataAdapter.BuildSchema (IDataReader reader, System.Data.DataTable table, SchemaType schemaType, MissingSchemaAction missingSchAction, MissingMappingAction missingMapAction, System.Data.Common.DataTableMappingCollection dtMapping) [0x0003b] in /private/tmp/monobuild/build/BUILD/mono-2.10.5/mcs/class/System.Data/System.Data.Common/DataAdapter.cs:284 
  at System.Data.Common.DataAdapter.BuildSchema (IDataReader reader, System.Data.DataTable table, SchemaType schemaType) [0x00000] in /private/tmp/monobuild/build/BUILD/mono-2.10.5/mcs/class/System.Data/System.Data.Common/DataAdapter.cs:257 
  at System.Data.Common.DataAdapter.FillTable (System.Data.DataTable dataTable, IDataReader dataReader, Int32 startRecord, Int32 maxRecords, System.Int32& counter) [0x00011] in /private/tmp/monobuild/build/BUILD/mono-2.10.5/mcs/class/System.Data/System.Data.Common/DataAdapter.cs:428 
  at System.Data.Common.DataAdapter.FillInternal (System.Data.DataTable dataTable, IDataReader dataReader) [0x00030] in /private/tmp/monobuild/build/BUILD/mono-2.10.5/mcs/class/System.Data/System.Data.Common/DataAdapter.cs:242 
  at System.Data.Common.DataAdapter.Fill (System.Data.DataTable dataTable, IDataReader dataReader) [0x00000] in /private/tmp/monobuild/build/BUILD/mono-2.10.5/mcs/class/System.Data/System.Data.Common/DataAdapter.cs:558 
  at System.Data.Common.DbDataAdapter.Fill (System.Data.DataTable dataTable, IDbCommand command, CommandBehavior behavior) [0x00022] in /private/tmp/monobuild/build/BUILD/mono-2.10.5/mcs/class/System.Data/System.Data.Common/DbDataAdapter.cs:297 
  at System.Data.Common.DbDataAdapter.Fill (System.Data.DataTable dataTable) [0x00011] in /private/tmp/monobuild/build/BUILD/mono-2.10.5/mcs/class/System.Data/System.Data.
Comment 1 Marek Safar 2018-02-22 22:36:16 UTC
Mono 5.10 has significantly improved System.Data implementation which should resolve this issue. If you can still reproduce it please reopen the issue.